# DigitalRebar Provision Fedora-33 (and newer) kickstart

text
url --url={{ .Env.InstallUrl}}
lang en_US.UTF-8

%packages
{{template "kickstart-package-selections.tmpl" .}}
%end

rootpw --iscrypted {{if .ParamExists "provisioner-default-password-hash"}}{{.Param "provisioner-default-password-hash"}}{{else}}$6$drprocksdrprocks$upAIK9ynEEdFmaxJ5j0QRvwmIu2ruJa1A1XB7GZjrnYYXXyNr4qF9FttxMda2j.cmh.TSiLgn4B/7z0iSHkDC1{{end}}
firewall --disabled
selinux --disabled

{{if .ParamExists "part-scheme" -}}
{{$templateName := (printf "part-scheme-%s.tmpl" (.Param "part-scheme")) -}}
{{.CallTemplate $templateName .}}
{{else -}}
{{template "part-scheme-default.tmpl" .}}
{{end -}}

skipx
reboot {{if .Param "kexec-ok" }}--kexec{{end}}


%pre
{{ range $intf := .Param "kickstart/extra-ifs" }}
nmcli con add type ethernet con-name {{ $intf }} ifname {{ $intf }}
{{end}}
%end

%post

exec > /root/post-install.log 2>&1
set -x
export PS4='${BASH_SOURCE}@${LINENO}(${FUNCNAME[0]}): '

{{template "reset-workflow.tmpl" .}}
{{template "runner.tmpl" .}}

sync
%end
